<?php
/**
 * The template for displaying Comments
 *
 * The area of the page that contains comments and the comment form.
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );
$single_blog_style = guto_lite_option( 'single_blog_style' );

if( $guto_lite_current_demo == 'motivational-speaker' ) :
	$comment_main_class = 'ms-comments-area';
elseif( $guto_lite_current_demo == 'life-coaching' ) :
    $comment_main_class = 'lc-comments-area';
endif;

if( $guto_lite_current_demo == 'motivational-speaker' || $guto_lite_current_demo == 'life-coaching' ) : ?>

    <div id="comments" class="<?php echo esc_attr( $comment_main_class ); ?>">

		<?php if ( have_comments() ) : ?>

		<h3 class="comments-title">
			<?php
				sprintf( // WPCS: XSS OK.
					/* translators: 1: number of comments */
					esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'guto-lite' ) ),
					number_format_i18n( get_comments_number() ),
					get_the_title()
				);

				comments_popup_link('No Comment:','One Comment:','% Comments:','cmnt','Comments Off');
			?>
		</h3>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'guto-lite' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'guto-lite' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'guto-lite' ) ); ?></div>
		</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
					'avatar_size'=> 34,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'guto-lite' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'guto-lite' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'guto-lite' ) ); ?></div>
		</nav><!-- #comment-nav-below -->
		<?php endif; // Check for comment navigation. ?>

		<?php if ( ! comments_open() ) : ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'guto-lite' ); ?></p>
		<?php endif; ?>

		<?php endif; // have_comments() ?>

		<?php
		$defaults = array( 'label_submit' => esc_html__('Post A Comment', 'guto-lite') );
		comment_form( $defaults );
		?>

	</div><!-- #comments -->

<?php elseif( $single_blog_style == 'style-1'  || $single_blog_style == 'style-2'  ) :
	?>
	<div id="comments" class="comments-area">

		<?php if ( have_comments() ) : ?>

		<h2 class="comments-title">
			<?php
				sprintf( // WPCS: XSS OK.
					/* translators: 1: number of comments */
					esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'guto-lite' ) ),
					number_format_i18n( get_comments_number() ),
					get_the_title()
				);
			?>
		</h2>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'guto-lite' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'guto-lite' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'guto-lite' ) ); ?></div>
		</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
					'avatar_size'=> 34,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'guto-lite' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'guto-lite' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'guto-lite' ) ); ?></div>
		</nav><!-- #comment-nav-below -->
		<?php endif; // Check for comment navigation. ?>

		<?php if ( ! comments_open() ) : ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'guto-lite' ); ?></p>
		<?php endif; ?>

		<?php endif; // have_comments() ?>

		<?php
		$defaults = array( 'label_submit' => esc_html__('Post a Comment', 'guto-lite') );
		comment_form( $defaults );
		?>

	</div><!-- #comments -->
<?php endif; ?>
