<?php
/**
 *	Customizer General Settings
 *	styles for logo/title - sizing, spacing ...
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class Xs_Fields{

	/**
     * Holds the class object.
     *
     * @since 1.2.0
     *
     */

	public static $_instance;

	/**
     * Load Construct
     *
     * @since 1.2.0
     */

	public function __construct(){
		$this->xs_customizer_init();
	}

	/**
     * Customizer field Initialization
     *
     * @since 1.2.0
     *
     */

	public function xs_customizer_init(){
		add_filter( 'kirki/fields', array($this,'guto_lite_general_setting') );
	}

	public function guto_lite_general_setting( $guto_lite_fields ){

        $guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

        // Common Theme Options
		require GUTO_LITE_CUSTOMIZER_DIR . 'general-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound;
        require GUTO_LITE_CUSTOMIZER_DIR . 'error-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
        require GUTO_LITE_CUSTOMIZER_DIR . 'style-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
        require GUTO_LITE_CUSTOMIZER_DIR . 'typography-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Digital marketing customizer options
        if ( $guto_lite_current_demo == 'digital-marketing'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'digital-marketing/nav-settings-dm.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'digital-marketing/banner-settings-dm.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'digital-marketing/blog-settings-dm.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'digital-marketing/newsletter-dm.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'digital-marketing/gradient-color-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'digital-marketing/dm-footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Coworking Space customizer options
        elseif( $guto_lite_current_demo == 'coworking-space'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'coworking-space/cs-banner-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'coworking-space/cs-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'coworking-space/cs-nav-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'coworking-space/cs-footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Freelancer customizer options
        elseif( $guto_lite_current_demo == 'freelancer'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'freelancer/fl-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'freelancer/banner-settings-fl.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'freelancer/nav-settings-fl.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'freelancer/footer-settings-fl.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Motivational Speaker customizer options
        elseif( $guto_lite_current_demo == 'motivational-speaker'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'motivational-speaker/ms-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'motivational-speaker/ms-banner-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'motivational-speaker/ms-nav-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'motivational-speaker/ms-footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'motivational-speaker/ms-single-course-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Recipe Blog customizer options
        elseif( $guto_lite_current_demo == 'recipe-blog'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-newsletter.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-instagram.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-top-header-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-nav-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-banner-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-recipe-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'recipe-blog/rb-shop-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Lifestyle Blog customizer options
        elseif( $guto_lite_current_demo == 'lifestyle-blog'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'lifestyle-blog/fls-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'lifestyle-blog/banner-settings-fls.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'lifestyle-blog/nav-settings-fls.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'lifestyle-blog/footer-settings-fls.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'lifestyle-blog/shop-settings-fls.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Online Health Coach customizer options
        elseif( $guto_lite_current_demo == 'online-health-coach'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-instagram.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-newsletter.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-contact.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-cta.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-banner-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'online-health-coach/ohc-shop-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        // Life Coaching customizer options
        elseif( $guto_lite_current_demo == 'life-coaching'):
            require GUTO_LITE_CUSTOMIZER_DIR . 'life-coaching/lc-blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'life-coaching/lc-banner-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'life-coaching/lc-nav-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'life-coaching/lc-shop-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'life-coaching/lc-footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'life-coaching/lc-single-course-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        else:
            require GUTO_LITE_CUSTOMIZER_DIR . 'top-header-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'nav-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'banner-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'blog-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'shop-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'newsletter.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
            require GUTO_LITE_CUSTOMIZER_DIR . 'footer-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
        endif;

        if ( class_exists( 'LearnPress' ) ):
            require GUTO_LITE_CUSTOMIZER_DIR . 'course-settings.php' ; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        endif;

		return $guto_lite_fields;
	}

	public static function xs_get_instance() {
        if (!isset(self::$_instance)) {
            self::$_instance = new Xs_Fields();
        }
        return self::$_instance;
    }
}
$Xs_Fields = Xs_Fields::xs_get_instance();