<?php
/*
 * Nav Settings
 *
*/

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_fr_footer_top',
    'label'       => esc_html__( 'Show Footer Top', 'guto-lite' ),
    'section'     => 'footer_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Show', 'guto-lite' ),
        'off' => esc_attr__( 'Hide', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'footer_bg_color',
    'label'       => esc_html__( 'Background Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-area, .fl-contact-info-area::before, .fl-contact-me-area',
            'property'	=> 'background-color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'image',
    'settings'    => 'footer_image',
    'label'       => esc_html__( 'Footer Image', 'guto-lite' ),
    'section'     => 'footer_section',
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'footer_title',
    'label'       => esc_html__( 'Add TItle', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'footer_title_color',
    'label'       => esc_html__( 'Footer Title Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content h2',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'textarea',
    'settings'    => 'footer_desc',
    'label'       => esc_html__( 'Add Description', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'footer_desc_color',
    'label'       => esc_html__( 'Footer Description Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content p',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'footer_button_text',
    'label'       => esc_html__( 'Add Footer Button Text', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'footer_button_url',
    'label'       => esc_html__( 'Add Footer Button URL', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'btn_text_color',
    'label'       => esc_html__( 'Footer Button Text Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content .fl-default-btn',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'btn_bg_color',
    'label'       => esc_html__( 'Footer Button Background Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content .fl-default-btn',
            'property'	=> 'background-color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'btn_bg_hover_color',
    'label'       => esc_html__( 'Footer Button Background Hover Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content .fl-default-btn:hover',
            'property'	=> 'background-color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'btn_hover_text_color',
    'label'       => esc_html__( 'Footer Button Hover Text Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content .fl-default-btn:hover',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(

    'type'        => 'repeater',
    'label'       => esc_html__( 'Social Control', 'guto-lite' ),
    'section'     => 'footer_section',
    'priority'    => 10,
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Social Profile', 'guto-lite' ),
    ),
    'settings'    => 'footer_social_icons',
    'default'     => array(
        array(
            'social_icon' => '',
            'social_url'  => '',
        ),
    ),
    'fields' => array(
        'social_icon' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Social Icon Text', 'guto-lite' ),
            'default'     => '',
        ),
        'social_url' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Social URL', 'guto-lite' ),
            'default'     => '',
        ),

    )
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'social_text_color',
    'label'       => esc_html__( 'Footer Social Text Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content .social-list ul li a',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'social_text_hover_color',
    'label'       => esc_html__( 'Footer Social Text Hover Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-hire-me-content .social-list ul li a:hover',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'textarea',
    'settings'    => 'copyright_text',
    'label'       => esc_html__( 'Copyright Text', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.fl-footer-area p',
            'function' => 'html'
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'copyright_color',
    'label'       => esc_html__( 'Footer Copyright Text Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-footer-area p',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'copyright_link_text_color',
    'label'       => esc_html__( 'Footer Copyright Link Text Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-footer-area p a',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'copyright_link_text_hover_color',
    'label'       => esc_html__( 'Footer Copyright Link Text Hover Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.fl-footer-area p a:hover',
            'property'	=> 'color',
        ),
    ),
);