<?php
/*
 * Nav Settings
 *
*/

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_footer_instagram',
    'label'       => esc_html__( 'Show Footer Instagram', 'guto-lite' ),
    'section'     => 'footer_section',
    'default'     => true,
    'choices'     => array(
        'on'  => esc_attr__( 'Show', 'guto-lite' ),
        'off' => esc_attr__( 'Hide', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(

    'type'        => 'repeater',
    'label'       => esc_html__( 'Media Control', 'guto-lite' ),
    'section'     => 'footer_section',
    'priority'    => 10,
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Image', 'guto-lite' ),
    ),
    'settings'    => 'footer_instagram_images',
    'default'     => array(
        array(
            'instagram_image' => '',
            'image_url'  => '',
        ),
    ),
    'fields' => array(
        'instagram_image' => array(
            'type'        => 'image',
            'label'       => esc_html__( 'Image', 'guto-lite' ),
            'default'     => '',
        ),
        'image_url' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Image URL', 'guto-lite' ),
            'default'     => '#',
        ),

    )
);

$guto_lite_fields[]= array(
    'type'        => 'textarea',
    'settings'    => 'copyright_text',
    'label'       => esc_html__( 'Copyright Text', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.lc-footer-area p',
            'function' => 'html'
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'footer_bg_color',
    'label'       => esc_html__( 'Background Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element'   => '.lc-footer-area',
            'property'  => 'background-color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'copyright_color',
    'label'       => esc_html__( 'Footer Copyright Text Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.lc-footer-area p',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'copyright_link_text_color',
    'label'       => esc_html__( 'Footer Copyright Link Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.lc-footer-area p a',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'copyright_link_text_hover_color',
    'label'       => esc_html__( 'Footer Copyright Link Hover Color', 'guto-lite' ),
    'section'     => 'footer_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.lc-footer-area p a:hover',
            'property'	=> 'color',
        ),
    ),
);