<?php

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_style',
    'label'       => esc_html__( 'Default Shop Page Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-3'    => esc_attr__( 'Style Three', 'guto-lite' ),
        'style-4'    => esc_attr__( 'Style Four', 'guto-lite' ),
        'style-ls'    => esc_attr__( 'Style For Lifestyle Blog', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_details_style',
    'label'       => esc_html__( 'Default Shop Details Page Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-ls'   => esc_attr__( 'Style For Life Style Fashion Blog', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_pagination_style',
    'label'       => esc_html__( 'Pagination Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '3',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-ls'   => esc_attr__( 'Style For Life Style Fashion Blog', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'cart_style',
    'label'       => esc_html__( 'Default Cart Page Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '3',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-ls'   => esc_attr__( 'Style For Life Style Fashion Blog', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'checkout_style',
    'label'       => esc_html__( 'Default Checkout Page Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-ls'   => esc_attr__( 'Style For Life Style Fashion Blog', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'shop_hide_banner',
    'label'       => esc_html__( 'Enable Banner', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);

$guto_lite_fields[] = array(
    'type'        => 'image',
    'settings'    => 'shop_page_bg_image',
    'label'       => esc_html__( 'Shop Background Image', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'shop_hide_banner',
            'operator'  => '==',
            'value'     => true,
        )
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'shop_breadcrumb',
    'label'       => esc_html__( 'Enable Breadcrumb', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'shop_hide_banner',
            'operator'  => '==',
            'value'     => true,
        )
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_card_style',
    'label'       => esc_html__( 'Product Card Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '1',
    'choices'     => array(
        '1'      => esc_html__('Style One','guto-lite'),
        '2'      => esc_html__('Style Two','guto-lite'),
        '3'      => esc_html__('Style Three','guto-lite'),
    ),
);
$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_product_quick_view',
    'label'       => esc_html__( 'Show Product Quick View', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => true,
    'choices'     => array(
        true  => esc_html__( 'Enable', 'guto-lite' ),
        false => esc_html__( 'Disable', 'guto-lite' ),
    ),
    'required'      => array(
        array(
            'setting'   => 'shop_card_style',
            'operator'  => '==',
            'value'     => '2',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'product_quick_view_title',
    'label'       => esc_html__( 'Product Quick View Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'shop_card_style',
            'operator'  => '==',
            'value'     => '2',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_sidebar',
    'label'       => esc_html__( 'Shop Sidebar Position', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 'none',
    'choices'     => array(
        'none'      => esc_html__('None','guto-lite'),
        'left'      => esc_html__('Left Sidebar','guto-lite'),
        'right'     => esc_html__('Right Sidebar','guto-lite'),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'product_count',
    'label'       => esc_html__( 'Number of Products per Page on Product Pages.', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 8,
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'product_column',
    'label'       => esc_html__( 'Products Column', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 3,
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'is_related_products',
    'label'       => esc_html__( 'Enable Related Section into Product Details', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'related_product_count',
    'label'       => esc_html__( 'Number of Related Products display on Details Pages.', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 3,
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'related_product_column',
    'label'       => esc_html__( 'Related Products Column', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 2,
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'related_product_top_title',
    'label'       => esc_html__( 'Related Products Top Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'related_product_title',
    'label'       => esc_html__( 'Related Products Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'textarea',
    'settings'    => 'related_product_desc',
    'label'       => esc_html__( 'Related Products Description', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'switch',
    'settings'    => 'enable_blog_share',
    'label'       => esc_html__( 'Enable Product Share', 'guto-lite' ),
    'section'     => 'shop_section',
    'choices'     => array(
        'on'      => __( 'Enable', 'guto-lite' ),
        'off'     => __( 'Disable', 'guto-lite' ),
    ),
    'default'   => '1',
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'blog_share_title',
    'label'       => esc_html__( 'Product Share Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'blog_share_fb',
    'label'       => esc_html__( 'Enable Product Share on Facebook', 'guto-lite' ),
    'default'     => '1',
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_in',
    'label'       => esc_html__( 'Enable Product Share on Instagram', 'guto-lite' ),
    'default'     => '1',
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_pin',
    'label'       => esc_html__( 'Enable Product Share on Pinterest', 'guto-lite' ),
    'default'     => '1',
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_tw',
    'label'       => esc_html__( 'Enable Product Share on Twitter', 'guto-lite' ),
    'default'     => '1',
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);