<?php
/*
 * CTA
 *
*/

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_ohc_cta',
    'label'       => esc_html__( 'CTA Enable', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);


$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'ohc_cta_top_title',
    'label'       => esc_html__( 'CTA Top Title', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.ohc-cta-content .sub-title',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'GET UPDATES', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'ohc_cta_title',
    'label'       => esc_html__( 'Title', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.ohc-cta-content h2',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'Our Newsletter', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'textarea',
    'settings'    => 'ohc_cta_desc',
    'label'       => esc_html__( 'Description', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.ohc-cta-content p',
            'function' => 'html'
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'cta_btn_text',
    'label'       => esc_html__( 'Button Text', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'default'     => esc_html__( 'Start for Free', 'guto-lite' ),
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'cta_btn_link',
    'label'       => esc_html__( 'Button Link', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'default'     => esc_html__( '#', 'guto-lite' ),
);

$guto_lite_fields[] = array(
	'type'        => 'image',
	'settings'    => 'cta_shape_img',
	'label'       => esc_html__( ' Shape Image', 'guto-lite' ),
	'section'     => 'ohc_cta_section',
);

$guto_lite_fields[] = array(
	'type'        => 'image',
	'settings'    => 'cta_shape_img2',
	'label'       => esc_html__( 'Shape Image2', 'guto-lite' ),
	'section'     => 'ohc_cta_section',
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'cta_bg_color',
    'label'       => esc_html__( 'Background Color', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-cta-area',
            'property'	=> 'background-color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'cta_top_title_color',
    'label'       => esc_html__( 'Top Title Color', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-cta-content .sub-title',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'cta_title_color',
    'label'       => esc_html__( 'Title Color', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-cta-content h2',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'cta_desc_color',
    'label'       => esc_html__( 'Description Color', 'guto-lite' ),
    'section'     => 'ohc_cta_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-cta-content p',
            'property'	=> 'color',
        ),
    ),
);
