<?php

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'shop_hide_banner',
    'label'       => esc_html__( 'Enable Banner', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);

$guto_lite_fields[] = array(
    'type'        => 'image',
    'settings'    => 'shop_page_bg_image',
    'label'       => esc_html__( 'Shop Background Image', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'shop_hide_banner',
            'operator'  => '==',
            'value'     => true,
        )
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_sidebar',
    'label'       => esc_html__( 'Shop Sidebar Position', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 'none',
    'choices'     => array(
        'none'      => esc_html__('None','guto-lite'),
        'left'      => esc_html__('Left Sidebar','guto-lite'),
        'right'     => esc_html__('Right Sidebar','guto-lite'),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'product_count',
    'label'       => esc_html__( 'Number of Products per Page on Product Pages.', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 6,
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'product_column',
    'label'       => esc_html__( 'Products Column', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 3,
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'shop_hide_card_badge',
    'label'       => esc_html__( 'Show Card Badge?', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => false,
);

// Load more

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'is_pagi_load',
    'label'       => esc_html__( 'Choose Pagination/Load More', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 'rb-load',
    'choices'     => array(
        'rb-pagi'    => esc_attr__( 'Pagination', 'guto-lite' ),
        'rb-load'    => esc_attr__( 'Load More', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'rb_loadmore_title',
    'label'       => esc_html__( 'Load More Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_pagi_load',
            'operator'  => '==',
            'value'     => 'rb-load',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'rb_product_slice',
    'label'       => esc_html__( 'Show Product Slice Number(default)', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_pagi_load',
            'operator'  => '==',
            'value'     => 'rb-load',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'rb_slice_per_load',
    'label'       => esc_html__( 'Show Product Slice Down', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_pagi_load',
            'operator'  => '==',
            'value'     => 'rb-load',
        ),
    ),
);


// Related
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'is_related_products',
    'label'       => esc_html__( 'Enable Related Section into Product Details', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'related_product_count',
    'label'       => esc_html__( 'Number of Related Products display on Details Pages.', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 3,
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'related_product_column',
    'label'       => esc_html__( 'Related Products Column', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 2,
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'related_product_title',
    'label'       => esc_html__( 'Related Products Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'is_related_products',
            'operator'  => '==',
            'value'     => '1',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'shop_pagination_style',
    'label'       => esc_html__( 'Pagination Style', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' )
    ),
    'required'      => array(
        array(
            'setting'   => 'is_pagi_load',
            'operator'  => '==',
            'value'     => 'rb-pagi',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_share',
    'label'       => esc_html__( 'Enable Product Share', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'product_share_title',
    'label'       => esc_html__( 'Product Share Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_fb',
    'label'       => esc_html__( 'Enable Product Share on Facebook', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_tw',
    'label'       => esc_html__( 'Enable Product Share on Twitter', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_ld',
    'label'       => esc_html__( 'Enable Product Share on LinkedIn', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_wp',
    'label'       => esc_html__( 'Enable Product Share on WhatsApp', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_email',
    'label'       => esc_html__( 'Enable Product Share on Email', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_cp',
    'label'       => esc_html__( 'Enable Product Share on Copy Link', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'single_shop_bg_color',
    'label'       => esc_html__( 'Page Background Color', 'guto-lite' ),
    'section'     => 'shop_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.products-details-area, .products-area',
            'property'	=> 'background-color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'related_product_shop_bg_color',
    'label'       => esc_html__( 'Related Product Section Background Color', 'guto-lite' ),
    'section'     => 'shop_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.woocommerce .related.products-area',
            'property'	=> 'background-color',
            'suffix'   => ' !important',
        ),
    ),
);