<?php

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_top_header',
    'label'       => esc_html__( 'Make Top Header', 'guto-lite' ),
    'section'     => 'top_header_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'repeater',
    'label'       => esc_html__( 'Top Header Links', 'guto-lite' ),
    'section'     => 'top_header_section',
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Links', 'guto-lite' ),
    ),
    'settings'    => 'top_header_links_items',
    'default'     => array(
        array(
            'icon'     => 'bx bx-log-in',
            'text'     => esc_html__( 'Sign In', 'guto-lite' ),
            'link'     => esc_html__( '#', 'guto-lite' ),
        ),
    ),
    'fields' => array(
        'icon' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Icon Class Name(boxicons.com or Font Awesome icon )', 'guto-lite' ),
            'default'     => 'bx bx-log-in',
        ),
        'text' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Link Title', 'guto-lite' ),
            'default'     => esc_html__( 'Sign In', 'guto-lite' ),
        ),
        'link' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Link', 'guto-lite' ),
            'default'     => esc_html__( '#', 'guto-lite' ),
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'repeater',
    'label'       => esc_html__( 'Logged in Top Header Links', 'guto-lite' ),
    'section'     => 'top_header_section',
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Links', 'guto-lite' ),
    ),
    'settings'    => 'top_header_links_dhs_items',
    'default'     => array(
        array(
            'icon'     => 'bx bx-log-in',
            'text'     => esc_html__( 'My Account', 'guto-lite' ),
            'link'     => esc_html__( '#', 'guto-lite' ),
        ),
    ),
    'fields' => array(
        'icon' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Icon Class Name(boxicons.com or Font Awesome icon )', 'guto-lite' ),
            'default'     => 'bx bx-log-in',
        ),
        'text' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Link Title', 'guto-lite' ),
            'default'     => esc_html__( 'My Account', 'guto-lite' ),
        ),
        'link' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Link', 'guto-lite' ),
            'default'     => esc_html__( '#', 'guto-lite' ),
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'guto_language_icon',
    'label'       => esc_html__( 'Language Icon', 'guto-lite' ),
    'section'     => 'top_header_section',
    'default'     =>  'bx bx-world',
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'guto_language_switcher',
    'label'       => esc_html__( 'Language Shortcode', 'guto-lite' ),
    'section'     => 'top_header_section',
    'default'     =>  '[GTranslate]',
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'dimensions',
	'settings'    => 'top_header_padding',
	'label'       => esc_html__( 'Top Header Dimension', 'guto-lite' ),
	'section'     => 'top_header_section',
	'default'     => [
		'padding-top'    => '',
		'padding-bottom' => '',
		'padding-left'   => '',
		'padding-right'  => '',
	],
	'output'      => [
		[
			'element' => '.header-top-bar-area',
		],
	],
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'top_bg_color',
    'label'       => esc_html__( 'Top Bar Background Color', 'guto-lite' ),
    'section'     => 'top_header_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.header-top-bar-area',
            'property'	=> 'background-color',
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'top_info_color',
    'label'       => esc_html__( 'Content Color', 'guto-lite' ),
    'section'     => 'top_header_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.top-bar-list li a, .top-bar-list li i, .rb-languages-switcher .nice-select',
            'property'	=> 'color',
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'typography',
    'settings'    => 'top_header_typo',
    'label'       => esc_html__( 'Top Header Typography', 'guto-lite' ),
    'section'     => 'top_header_section',
    'default'     => array(
        'font-family'    => 'Open Sans, sans-serif',
        'variant'        => '',
        'font-size'      => '',
    ),
    'output'      => array(
        array(
            'element' => '.top-bar-list li a',
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_top_header',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);