<?php
/**
 * Template for displaying content of page for processing checkout feature.
 *
 * @author   ThimPress
 * @package  LearnPress/Templates
 * @version  4.0.1
 */

defined( 'ABSPATH' ) or die;

get_header();

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

if( $guto_lite_current_demo == 'motivational-speaker' || $guto_lite_current_demo == 'life-coaching' ) :

//do_action( 'learn-press/before-main-content' );
do_action( 'learnpress/template/pages/checkout/before-content' ); ?>

	<!-- Start Page Title Area -->
	<div class="ms-page-title-area">
	    <div class="container">
	        <div class="ms-page-title-content">
	            <h2><?php echo esc_html__('Checkout', 'guto-lite'); ?></h2>
	        </div>
	    </div>
	</div>
	<!-- End Page Title Area -->

	<div id="learn-press-checkout" class="lp-content-wrap ptb-100">

		<h2><?php the_title(); ?></h2>

		<?php
		/**
		 * LP Hook
		 *
		 * @since 4.0.0
		 */
		do_action( 'learn-press/before-checkout-page' );

		// Shortcode for displaying checkout form
		echo do_shortcode( '[learn_press_checkout]' );

		/**
		 * LP Hook
		 *
		 * @since 4.0.0
		 */
		do_action( 'learn-press/after-checkout-page' );
		?>

	</div>

<?php
do_action( 'learn-press/after-main-content' );
//do_action( 'learnpress/template/pages/checkout/after-content' );

else :

do_action( 'learn-press/before-main-content' );
do_action( 'learnpress/template/pages/checkout/before-content' );
?>

	<div id="learn-press-checkout" class="lp-content-wrap">

		<h2><?php the_title(); ?></h2>

		<?php
		/**
		 * LP Hook
		 *
		 * @since 4.0.0
		 */
		do_action( 'learn-press/before-checkout-page' );

		// Shortcode for displaying checkout form
		echo do_shortcode( '[learn_press_checkout]' );

		/**
		 * LP Hook
		 *
		 * @since 4.0.0
		 */
		do_action( 'learn-press/after-checkout-page' );
		?>

	</div>

<?php
do_action( 'learn-press/after-main-content' );
do_action( 'learnpress/template/pages/checkout/after-content' );

endif;

get_footer();
