<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

	get_template_part( 'template-parts/header/content', 'page-header' );

	$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

	if( $guto_lite_current_demo == 'life-coaching' ) : 
		$page_container = 'container-lg';
	else:
		$page_container = 'container';
	endif;

	guto_lite_primary_content_top(); ?>

		<?php if( !guto_lite_is_elementor() && 'product' != get_post_type() && 'lp_course' != get_post_type() && guto_if_learnpress_page() != true ): ?><div class="page-main-content ptb-100"><?php endif; ?>

			<div id="content" class="page-area">
				<?php if( !guto_lite_is_elementor() && 'product' != get_post_type() && 'lp_course' != get_post_type() && guto_if_learnpress_page() != true ): ?><div class="<?php echo esc_attr($page_container); ?>"><?php endif; ?>
					<?php while ( have_posts() ) : the_post();

						$thecontent = get_the_content(); // If no content
						if(empty($thecontent)){ ?>
							<div class="guto-lite-single-blank-page"></div>
							<?php
						} ?>

						<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

							<!-- Article content -->
							<div class="entry-content">
								<?php the_content(); ?>
							</div> <!-- end entry-content -->
							<?php
								wp_link_pages( array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'guto-lite' ),
									'after'  => '</div>',
								) );
							?>
							<!-- Article footer -->
							<footer class="entry-footer">
								<?php
								if ( is_user_logged_in() ) {
									echo '<p>';
									edit_post_link( esc_html__( 'Edit', 'guto-lite' ), '<span class="meta-edit">', '</span>' );
									echo '</p>';
								}
								?>
							</footer> <!-- end entry-footer -->
						</div>

						<?php if('lp_course' != get_post_type() && guto_if_learnpress_page() != true ): ?>
							<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif; ?>
						<?php endif; ?>
					<?php endwhile; // End of the loop. ?>
				<?php if( !guto_lite_is_elementor() && 'product' != get_post_type() && 'lp_course' != get_post_type() && guto_if_learnpress_page() != true ): ?></div><?php endif; ?>
			</div>

		<?php if( !guto_lite_is_elementor() && 'product' != get_post_type() && 'lp_course' != get_post_type() && guto_if_learnpress_page() != true ): ?></div><?php endif; ?>

	<?php guto_lite_primary_content_bottom();

	if( guto_lite_is_elementor() && 'product' == get_post_type() ) : ?>
		</div>
	<?php endif;

if( !guto_lite_is_elementor() ):
	
	$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

	if ( $guto_lite_current_demo == 'online-health-coach'):
		$is_ohc_cta  = guto_lite_option('is_ohc_cta');
		$is_ohc_contact  = guto_lite_option('is_ohc_contact');
	
		if( $is_ohc_cta ):
			get_template_part( 'template-parts/footer/footer','cta-ohc' );
		endif;
		
		if( $is_ohc_contact ):
			get_template_part( 'template-parts/footer/footer','contact-info-ohc' );
		endif;
	endif;
endif;

get_footer();