<?php
/**
 * The sidebar containing the main widget area
 * @package Guto Lite
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( class_exists( 'WooCommerce' ) ) {
	if( is_woocommerce() ) {
		$sidebar = 'shop';
	}elseif( is_product() ) {
		$sidebar = 'shop';
	}
	else {
        $sidebar = 'sidebar-1';
	}
} else {
	$sidebar = 'sidebar-1';
}

if ( ! is_active_sidebar( $sidebar ) ) {
	return;
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$shop_style = guto_lite_option( 'shop_style' );

if( $shop_style == '' || $shop_style == 'style-1' || $shop_style == 'style-2' ) :
  $shop_sidebar_col = 'col-lg-4 col-md-12';
endif;


if ( $guto_lite_current_demo == 'recipe-blog'): ?>
	<div class="col-lg-4 col-md-12">
		<div id="secondary" class="widget-area">
			<?php dynamic_sidebar( $sidebar );?>
		</div>
	</div>

<?php elseif ( $guto_lite_current_demo == 'insurance'): ?>
	<div class="col-lg-4 col-md-12">
		<div id="secondary" class="insurance-widget-area widget-area">
			<?php dynamic_sidebar( $sidebar );?>
		</div>
	</div>
<?php elseif( $shop_style == '' || $shop_style == 'style-1' || $shop_style == 'style-2' ) : ?>
	<div class="<?php echo esc_attr( $shop_sidebar_col ); ?>">
		<?php if ( class_exists( 'WooCommerce' ) ) {
			if( is_woocommerce() ) { ?>
				<div id="secondary" class="shop-sidebar">
				<?php
			} elseif ( is_product() ) { ?>
				<div id="secondary" class="shop-sidebar">
			<?php } else { ?>
				<div id="secondary" class="sidebar">
			<?php }
		} else { ?>
			<div id="secondary" class="sidebar">
		<?php } ?>
			<?php dynamic_sidebar( $sidebar );?>
		</div><!-- #secondary -->
	</div>
<?php else: ?>
	<div class="col-lg-4 col-md-12">
		<div id="secondary" class="sidebar">
			<?php dynamic_sidebar( $sidebar );?>
		</div>
	</div>
<?php endif;