<?php
/**
 * The template for displaying all single Project page.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

    get_template_part( 'template-parts/header/content', 'single-header' );
    if ( defined( 'FW' ) ) {
        $course_header_image = fw_get_db_post_option( get_the_ID(), 'course_header_image' ); 
    }else {
        $course_header_image = ''; 
    }
    ?>

    <?php guto_lite_primary_content_top(); ?>

        <!-- Start Yoga Courses Details Area -->
        <section id="content" class="yoga-course-details-area ptb-100">
            <div class="container">
                <?php if ( defined( 'FW' ) ) {
                    if($course_header_image != '') : ?>
                        <img src="<?php echo esc_url($course_header_image['url']); ?>" alt="image">
                    <?php else:
                        the_post_thumbnail();
                    endif;
                }
                else {
                    the_post_thumbnail();
                } ?>
                <ul class="meta">
                   <li>
                        <h3><?php the_title(); ?></h3>
                   </li>
                   <?php if ( defined( 'FW' ) ) {
                        $course_price = fw_get_db_post_option( get_the_ID(), 'course_price' );
                        $course_price_time = fw_get_db_post_option( get_the_ID(), 'course_price_time' ); ?>
                        <li class="price">
                            <span><?php echo esc_html( $course_price ); ?>/<sub><?php echo esc_html( $course_price_time ); ?></sub></span>
                        </li>
                    <?php } ?>
               </ul>
                <?php while (have_posts()) : the_post();
                    $thecontent = get_the_content();
                    if(empty($thecontent)){
                    ?>
                        <div class="guto-lite-single-blank-page"></div>
                    <?php } ?>

                    <?php the_content(); ?>

                <?php endwhile; ?>
            </div>
        </section>
        <!-- End Yoga Courses Details Area -->

    <?php guto_lite_primary_content_bottom(); ?>

<?php
get_footer();
