<?php
/**
 * The template for displaying all single Project page.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

    get_template_part( 'template-parts/header/content', 'single-header' ); ?>

    <?php guto_lite_primary_content_top();

    if ( defined( 'FW' ) ) {
        $event_header_image = fw_get_db_post_option( get_the_ID(), 'event_header_image' );
    }else {
        $event_header_image = '';
    }
    ?>

        <!-- Start Events Details Area -->
        <section id="content" class="yoga-event-details-area ptb-100">
            <div class="container">
                <?php if ( defined( 'FW' ) ) {
                    if($event_header_image != '') : ?>
                        <img src="<?php echo esc_url($event_header_image['url']); ?>" alt="image">
                    <?php else:
                        the_post_thumbnail();
                    endif;
                }
                else {
                    the_post_thumbnail();
                } ?>
                <ul class="meta">
                   <li>
                        <h3><?php the_title(); ?></h3>
                   </li>
                   <li class="date">
                        <span><?php echo get_the_date('d'); ?>/<sub><?php echo get_the_date('M, Y'); ?></sub></span>
                   </li>
               </ul>
                <?php while (have_posts()) : the_post();
                    $thecontent = get_the_content();
                    if(empty($thecontent)){
                    ?>
                        <div class="guto-lite-single-blank-page"></div>
                    <?php } ?>

                    <?php the_content(); ?>

                <?php endwhile; ?>
            </div>
        </section>
        <!-- End Events Details Area -->

    <?php guto_lite_primary_content_bottom(); ?>

<?php
get_footer();
