<?php
/**
 * Guto Lite post content
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$post_image_size	    = guto_lite_option('post_image_size');
$by_text	            = guto_lite_option('guto_lite_by_text');
$read_text	            = guto_lite_option('read_text');
$get_author_id          = get_the_author_meta('ID');
$get_author_gravatar    = get_avatar_url($get_author_id, array('size' => 50));
$read_more	            = guto_lite_option('dm_read_more');
$read_more_m            = guto_lite_option('ms_read_more');
$read_more_l            = guto_lite_option('lc_read_more');
$rb_blog_col            = guto_lite_option('rb_blog_col');
$rb_post_excerpt        = guto_lite_option('rb_post_excerpt');

/**
 * Banner Options
 */
$blog_style = guto_lite_option( 'blog_style' );

if(!has_post_thumbnail()) {
    $post_class    = 'single-blog-post without-image';
    $post_class_fs = 'single-blog-post-fs without-image';
    $post_class_os = 'os-single-blog without-image';
}else{
    $post_class    = 'single-blog-post';
    $post_class_fs = 'single-blog-post-fs';
    $post_class_os = 'os-single-blog';
}

$blog_sidebar = guto_lite_option( 'blog_sidebar' );

if( $blog_sidebar == 'right' ):
    $blog_col_class    = 'col-lg-6 col-sm-6 col-md-6';
    $blog_col_class_cs = 'col-lg-12 col-sm-6 col-md-6';
    $blog_col_class_os = 'col-lg-12 col-md-6';
    $blog_col_class_res = 'col-lg-8 col-md-12';
    $blog_col_class_ins = 'col-lg-8 col-md-12';
else :
    $blog_col_class    = 'col-lg-4 col-sm-6 col-md-6';
    $blog_col_class_cs = 'col-lg-4 col-sm-6 col-md-6';
    $blog_col_class_os = 'col-lg-4 col-md-6';
    $blog_col_class_res = 'col-lg-4 col-md-6';
    $blog_col_class_ins = 'col-lg-4 col-md-6';
endif;

if ( $guto_lite_current_demo == 'lifestyle-blog' && $blog_sidebar == 'right'):
    $blog_col_class    = 'col-lg-6 col-sm-6 col-md-6';
    $blog_col_class_cs = 'col-lg-12 col-sm-6 col-md-6';
else :
    $blog_col_class    = 'col-lg-4 col-sm-6 col-md-6';
    $blog_col_class_cs = 'col-lg-6 col-sm-6 col-md-6';
endif;


if( $rb_blog_col == '1' ):
    $rb_col = 'col-lg-12 col-sm-6 col-md-6';
elseif( $rb_blog_col == '2' ):
    $rb_col = 'col-lg-6 col-md-6';
elseif( $rb_blog_col == '4' ):
    $rb_col = 'col-lg-3 col-md-6';
else:
    $rb_col = 'col-lg-4 col-md-6';
endif;

if( $guto_lite_current_demo == 'freelancer'):
    $blog_col_class_cs = 'col-lg-4 col-sm-6 col-md-6';
endif;

$post_tags = get_the_tags();
?>

<?php if ( $guto_lite_current_demo == 'digital-marketing'): ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="<?php echo esc_attr( $blog_col_class ); ?>">
                    <div class="dm-single-blog">
                        <?php if(has_post_thumbnail()) { ?>
                            <a href="<?php the_permalink() ?>">
                                <img src="<?php the_post_thumbnail_url($post_image_size); ?>" alt="<?php the_title_attribute(); ?>">
                            </a>
                        <?php } ?>
                        <div class="content">
                            <?php if($post_tags || $read_text): ?>
                                <ul>
                                    <li>
                                        <?php echo esc_html( $by_text ); ?>
                                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>"> <?php the_author() ?></a>
                                    </li>
                                    <li>
                                        <?php echo esc_html(get_the_date()); ?>
                                    </li>
                                </ul>
                            <?php endif; ?>

                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                            <?php the_excerpt(); ?>

                            <?php if( !empty( $read_more ) ) : ?>
                            <div class="blog-btn">
                                <a href="<?php the_permalink(); ?>" class="dm-default-btn">
                                    <?php echo esc_html( $read_more ); ?>
                                    <i class="bx bx-chevron-right"></i>
                                </a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'coworking-space'): ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="<?php echo esc_attr( $blog_col_class_cs ); ?>">
                    <div class="single-cws-blog-box">
                        <?php if(has_post_thumbnail()) { ?>
                            <a href="<?php the_permalink() ?>" class="post-image">
                                <img src="<?php the_post_thumbnail_url($post_image_size); ?>" alt="<?php the_title_attribute(); ?>">
                            </a>
                        <?php } ?>
                        <div class="post-content">
                            <ul class="meta">
                                <?php if ( get_the_tags() ) {
                                    $post_tag = get_the_tags(); ?>
                                    <li>
                                        <a href="<?php echo esc_url(get_tag_link($post_tag[0]->term_id)); ?>"><?php echo esc_html($post_tag[0]->name) ?></a>
                                    </li>
                                <?php } ?>

                                <li><?php echo esc_html(get_the_date()); ?></li>
                            </ul>
                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'freelancer'): ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="<?php echo esc_attr( $blog_col_class_cs ); ?>">
                    <div class="single-fl-blog-post">
                        <div class="image">
                            <?php if(has_post_thumbnail()) { ?>
                                <a href="<?php the_permalink() ?>" class="d-block">
                                    <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                </a>
                            <?php } ?>
                            <span class="date"><?php echo esc_html(get_the_date()); ?></span>
                        </div>

                        <div class="content">

                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                            <?php the_excerpt(); ?>

                            <?php if( !empty( $read_more ) ) : ?>
                                <a href="<?php the_permalink(); ?>" class="link-btn">
                                    <?php echo esc_html( $read_more ); ?>
                                    <i class="ri-arrow-right-line"></i>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'lifestyle-blog'): ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="<?php echo esc_attr( $blog_col_class_cs ); ?>">
                    <div class="fls-week-item">
                        <div class="top">
                            <?php if(has_post_thumbnail()) { ?>
                                <a href="<?php the_permalink() ?>">
                                    <img src="<?php the_post_thumbnail_url('guto_lite_ls_post_thumb'); ?>" alt="<?php the_title_attribute(); ?>">
                                </a>
                            <?php } ?>
                        </div>

                        <div class="fls-common-content">
                            <ul>
                                <?php if ( get_the_tags() ) {  ?>

                                    <li>
                                        <?php $post_tags = get_the_tags();
                                            foreach ($post_tags as $post_tag ) {  ?>
                                                <?php echo esc_html($post_tag->name) ?>
                                            <?php
                                        } ?>
                                    </li>

                                <?php } ?>
                                <li><?php echo esc_html(get_the_date()); ?></li>
                            </ul>
                            <h3>
                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            </h3>
                            <div class="bottom">
                                <span><?php _e( 'By: ', 'guto-lite' ); ?></span>
                                <a href="<?php the_permalink(); ?>"><?php the_author(); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'motivational-speaker'): ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="col-lg-4 col-md-6 col-sm-6">
                    <div class="single-ms-blog-post">
                        <div class="image">
                            <?php if(has_post_thumbnail()) { ?>
                                <a href="<?php the_permalink() ?>" class="d-block">
                                    <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                </a>
                            <?php } ?>
                            <span class="date"><?php echo esc_html(get_the_date()); ?></span>
                        </div>

                        <div class="content">

                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                            <?php the_excerpt(); ?>

                            <?php if( !empty( $read_more_m ) ) : ?>
                                <a href="<?php the_permalink(); ?>" class="link-btn">
                                    <?php echo esc_html( $read_more_m ); ?>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'life-coaching'): ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="col-lg-4 col-md-6 col-sm-6">
                    <div class="single-lc-blog-post">
                        <div class="image">
                            <?php if(has_post_thumbnail()) { ?>
                                <a href="<?php the_permalink() ?>" class="d-block">
                                    <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title_attribute(); ?>">
                                </a>
                            <?php } ?>
                            <span class="date"><?php echo esc_html(get_the_date()); ?></span>
                        </div>

                        <div class="content">

                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                            <?php the_excerpt(); ?>

                            <?php if( !empty( $read_more_l ) ) : ?>
                                <a href="<?php the_permalink(); ?>" class="link-btn">
                                    <?php echo esc_html( $read_more_l ); ?>
                                    <i class="ri-arrow-right-line"></i>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'recipe-blog'): ?>
    <div <?php post_class(); ?>>
        <div class="row justify-content-center">
            <?php while ( have_posts() ) : the_post();
            $categories = get_the_category(); ?>

                <div class="<?php echo esc_attr( $rb_col ); ?>">
                    <div class="rb-single-blog wow fadeInUp" data-wow-delay="50ms" data-wow-duration="500ms">
                        <?php if(get_the_post_thumbnail_url() != ''): ?>
                            <div class="blog-image">
                                <a href="<?php the_permalink(); ?>">
                                    <img src="<?php the_post_thumbnail_url($post_image_size); ?>" alt="<?php the_title_attribute(); ?>">
                                </a>
                            </div>
                        <?php endif; ?>

                        <div class="blog-content">
                            <?php if( !empty( $categories ) ) : ?>
                                <span>
                                    <a href="<?php echo esc_url( get_category_link( $categories[0]->term_id ) ) ?>">
                                        <?php echo esc_html( $categories[0]->name ); ?>
                                    </a>
                                </span>
                            <?php endif; ?>

                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                            <p><?php echo esc_html(wp_trim_words( get_the_excerpt(), $rb_post_excerpt, '' )); ?></p>

                            <ul class="blog-list">
                                <li> <?php echo esc_html(get_the_date('M d, y')) ?></li>
                                <li> <?php echo esc_html(guto_lite_reading_time()) ?>
                                    <?php echo esc_html($read_text); ?>
                                </li>
                                <li><?php comments_number(); ?></li>
                            </ul>
                        </div>
                    </div>

                </div>
            <?php endwhile; ?>
        </div>
    </div>

<?php elseif ( $guto_lite_current_demo == 'online-health-coach'): ?>
    <div <?php post_class(); ?>>
        <div class="row justify-content-center">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="col-lg-4 col-md-6">
                    <div class="single-ohc-blog-post">
                        <div class="image">
                            <a href="<?php the_permalink(); ?>" class="d-block">
                                <img src="<?php echo get_the_post_thumbnail_url( get_the_ID(), 'thumb' ); ?>" alt="<?php the_post_thumbnail_caption();  ?>" class="d-block">
                            </a>
                            <span class="date"><?php echo get_the_date(); ?></span>
                        </div>
                        <div class="content">
                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <p><?php the_excerpt(); ?></p>

                            <?php if( !empty( $read_more ) ) : ?>
                                <a href="<?php the_permalink(); ?>" class="link-btn">
                                    <?php echo esc_html( $read_more ); ?>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif( $blog_style == 'style-2' ) : ?>
    <div <?php post_class(); ?>>
        <div class="row">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="<?php echo esc_attr( $blog_col_class ); ?>">
                    <div class="<?php echo esc_attr($post_class_fs); ?>">
                        <?php if(has_post_thumbnail()) { ?>
                            <div class="image">
                                <a href="<?php the_permalink() ?>" class="d-block">
                                    <img src="<?php the_post_thumbnail_url($post_image_size); ?>" alt="<?php the_title_attribute(); ?>">
                                </a>
                            </div>
                        <?php } ?>
                        <div class="content">
                            <?php if($post_tags || $read_text): ?>
                                <ul class="meta">
                                    <?php if($post_tags): ?>
                                        <li><i class="bx bx-purchase-tag"></i>
                                            <?php
                                            $count = 0; $sep = '';
                                            if ( $post_tags ) {
                                                foreach( $post_tags as $post_tag ) {
                                                    $count++;
                                                    echo '<a href="'.esc_url(get_tag_link($post_tag->term_id)).'">'.esc_html($post_tag->name).'</a>';
                                                    if( $count > 0 ) break;
                                                }
                                            }
                                            ?>
                                        </li>
                                    <?php endif; ?>

                                    <?php if($read_text): ?>
                                        <li>
                                            <i class="bx bx-time"></i>
                                            <?php echo esc_html(guto_lite_reading_time()) ?>
                                            <?php echo esc_html($read_text); ?>
                                        </li>
                                    <?php endif; ?>

                                    <li>
                                        <i class='bx bx-calendar'></i>
                                        <a href="<?php the_permalink() ?>"><?php echo esc_html(get_the_date()); ?></a>
                                    </li>

                                </ul>
                            <?php endif; ?>

                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                            <div class="user d-flex align-items-center">
                                <img src="<?php echo esc_url($get_author_gravatar); ?>" alt="<?php echo esc_attr( get_the_author() ); ?>">

                                <div class="info">
                                    <span><?php echo esc_html( $by_text ); ?> <?php echo esc_html( get_the_author() ); ?></span>
                                    <?php echo get_the_date(); ?>
                                </div>
                            </div>
                            <a href="<?php the_permalink(); ?>" class="link-btn"><i class='bx bx-right-arrow-alt'></i></a>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif( $blog_style == 'style-6' ) : ?>
    <!-- Start OET Blog Area -->
    <div <?php post_class(); ?>>
        <div class="row justify-content-center <?php echo esc_attr($blog_sidebar); ?>">
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="col-lg-4 col-md-6">
                    <div class="single-oet-blog-post">
                        <div class="image">
                            <a href="<?php the_permalink(); ?>" class="d-block">
                                <img src="<?php echo get_the_post_thumbnail_url( get_the_ID(), 'thumb' ); ?>" alt="<?php the_post_thumbnail_caption();  ?>" class="d-block">
                            </a>
                            <span class="date"><?php echo get_the_date(); ?></span>
                        </div>
                        <div class="content">
                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <p><?php the_excerpt(); ?></p>

                            <a href="<?php the_permalink(); ?>" class="link-btn"><?php esc_html_e('Read More', 'guto-lite'); ?> <i class="ri-arrow-right-line"></i></a>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </div>
<?php elseif( $blog_style == 'style-1' || $blog_style == '' ) : ?>
    <?php while ( have_posts() ) : the_post(); ?>
    <div <?php post_class(); ?>>
        <div class="<?php echo esc_attr($post_class); ?>">
            <?php if(has_post_thumbnail()) { ?>
                <div class="image">
                    <a href="<?php the_permalink() ?>">
                        <img src="<?php the_post_thumbnail_url($post_image_size); ?>" alt="<?php the_title_attribute(); ?>">
                    </a>
                    <div class="user d-flex align-items-center">
                        <img src="<?php echo esc_url($get_author_gravatar); ?>" alt="<?php echo esc_attr( get_the_author() ); ?>">

                        <div class="info">
                            <span><?php echo esc_html( $by_text ); ?> <?php echo esc_html( get_the_author() ); ?></span>
                            <?php echo esc_html(get_the_date()); ?>
                        </div>
                    </div>
                    <a href="<?php the_permalink() ?>" class="link-btn"></a>
                </div>
            <?php } ?>

            <div class="content">
                <?php if($post_tags || $read_text): ?>
                    <ul class="meta">
                        <?php if($post_tags): ?>
                            <li><i class="bx bx-purchase-tag"></i>
                                <?php
                                $count = 0; $sep = '';
                                if ( $post_tags ) {
                                    foreach( $post_tags as $post_tag ) {
                                        $count++;
                                        echo '<a href="'.esc_url(get_tag_link($post_tag->term_id)).'">'.esc_html($post_tag->name).'</a>';
                                        if( $count > 0 ) break;
                                    }
                                }
                                ?>
                            </li>
                        <?php endif; ?>

                        <?php if($read_text): ?>
                            <li>
                                <i class="bx bx-time"></i>
                                <?php echo esc_html(guto_lite_reading_time()) ?>
                                <?php echo esc_html($read_text); ?>
                            </li>
                        <?php endif; ?>

                        <li>
                            <i class='bx bx-calendar'></i>
                            <a href="<?php the_permalink() ?>"><?php echo esc_html(get_the_date()); ?></a>
                        </li>

                    </ul>
                <?php endif; ?>

                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                <?php if(!has_post_thumbnail()): ?>
                    <?php the_excerpt(); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <?php endwhile; ?>
<?php endif; ?>