<?php
/**
 * The Instagram for Guto Lite Theme.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

$items  = guto_lite_option('footer_contact_list');
?>
<div class="ohc-contact-info-area pt-100 pb-75">
    <div class="container">
        <div class="row justify-content-center">
            <?php if( $items ) : ?>
                <?php if(is_array($items) && !empty($items)) : ?>
                    <?php foreach( $items as $index => $item ) : ?>
                        <div class="col-lg-4 col-sm-12 col-md-6">
                            <div class="ohc-contact-info-box">
                                <div class="d-table">
                                    <div class="d-table-cell">
                                        <?php if($item['con_image']) : ?>
                                            <div class="icon">
                                                <img src="<?php echo wp_get_attachment_url( $item['con_image'] ); ?>" alt="<?php echo esc_attr__('Image', 'guto-lite') ?>">
                                            </div>
                                        <?php endif; ?>
                                        <h3> <?php echo wp_kses_post( $item['con_content'] ); ?> </h3>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    </div>
</div>