<?php
/**
 * Blog Header
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

/**
 * Banner Controls
 */
$banner_section 		     = guto_lite_option( 'banner_style' );
$banner_shape1 			     = guto_lite_option( 'banner_shape1' );
$banner_shape2		 	     = guto_lite_option( 'banner_shape2' );
$show_breadcrumb             = guto_lite_option( 'show_breadcrumb' );
$global_page_banner_img		 = guto_lite_option( 'blog_banner_img' );
$global_page_banner_title	 = guto_lite_option( 'blog_banner_title' );
$global_show_page_banner	 = guto_lite_option( 'show_blog_banner' );

// Banner Background Image
if ( $global_page_banner_img != '' ) {
	$bg_image = 'style="background-image: url(' . $global_page_banner_img . ')"';
    $bg_image2 = 'background-image: url(' . $global_page_banner_img . ')';
} else {
	$bg_image = 'style=""';
    $bg_image2 = '';
}

// Banner Title
if ( $global_page_banner_title != '' ) {
	$page_banner_title = $global_page_banner_title;
} else {
	$page_banner_title = get_the_title();
}

if ( $global_show_page_banner && $guto_lite_current_demo == 'digital-marketing' ): ?>
    <div class="dm-page-banner-area <?php echo esc_attr($banner_section); ?>">
        <div class="container">
            <div class="dm-page-banner-content wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms">
                <h2>
                    <?php
                    if ( is_archive() ) {
                        the_archive_title();
                    } elseif ( is_search() ) {
                        esc_html_e('Search Results for: ', 'guto-lite');
                        echo esc_html(get_search_query());
                    } else {
                        echo esc_html( $page_banner_title );
                    }
                    ?>
                </h2>

                <?php if ( $show_breadcrumb  == true ): ?>
                    <ul>
                        <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Home', 'guto-lite' ) ?></a></li>
                        <li>
                            <?php
                            if ( is_archive() ) {
                                the_archive_title();
                            } elseif ( is_search() ) {
                                esc_html_e('Search Results for: ', 'guto-lite');
                                echo esc_html(get_search_query());
                            } else {
                                echo esc_html( $page_banner_title );
                            }
                            ?>
                        </li>
                    </ul>
                <?php endif; ?>
            </div>
        </div>

        <?php if($banner_shape1): ?>
            <div class="dm-page-banner-image wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms">
                <img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
            </div>
        <?php endif; ?>

        <?php if($banner_shape2): ?>
            <div class="dm-page-banner-circle-shape">
                <img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
            </div>
        <?php endif; ?>
    </div>
<?php elseif ( $global_show_page_banner && $guto_lite_current_demo == 'coworking-space' ): ?>
    <div class="cws-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="cws-page-title-content">
				<div class="row align-items-center">
					<div class="col-lg-9 col-md-12">
						<h2>
                            <?php
                            if ( is_archive() ) {
                                the_archive_title();
                            } elseif ( is_search() ) {
                                esc_html_e('Search Results for: ', 'guto-lite');
                                echo esc_html(get_search_query());
                            } else {
                                echo esc_html( $page_banner_title );
                            }
                            ?>
                        </h2>
					</div>
					<div class="col-lg-3 col-md-12">
                        <?php if ( $show_breadcrumb  == true ): ?>
                            <ul>
                                <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Home', 'guto-lite' ) ?></a></li>
                                <li class="active">
                                    <?php
                                    if ( is_archive() ) {
                                        the_archive_title();
                                    } elseif ( is_search() ) {
                                        esc_html_e('Search Results for: ', 'guto-lite');
                                        echo esc_html(get_search_query());
                                    } else {
                                        echo esc_html( $page_banner_title );
                                    }
                                    ?>
                                </li>
                            </ul>
                        <?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php elseif ( $global_show_page_banner && $guto_lite_current_demo == 'freelancer' ): ?>
	<div class="fl-page-title-area">
		<div class="container">
			<div class="page-title-content">
                <h2>
                    <?php
                        if ( is_archive() ) {
                            the_archive_title();
                        } elseif ( is_search() ) {
                            esc_html_e('Search Results for: ', 'guto-lite');
                            echo esc_html(get_search_query());
                        } else {
                            echo esc_html( $page_banner_title );
                        }
                    ?>
                </h2>
			</div>
		</div>
		<div class="divider"></div>
	</div>
<?php elseif ( $global_show_page_banner && $guto_lite_current_demo == 'motivational-speaker' ): ?>
    <!-- Start Page Title Area -->
    <div class="ms-page-title-area">
        <div class="container">
            <div class="ms-page-title-content">
                <h2><?php echo esc_html($page_banner_title); ?></h2>
            </div>
        </div>
    </div>
<?php elseif ( $global_show_page_banner && $guto_lite_current_demo == 'life-coaching' ): ?>
    <!-- Start Page Title Area -->
    <div class="lc-page-title-area">
        <div class="container">
            <div class="lc-page-title-content">
                <h2><?php echo esc_html($page_banner_title); ?></h2>
            </div>
        </div>
        <div class="divider"></div>
    </div>
    <!-- End Page Title Area -->
<?php elseif ( $global_show_page_banner && $guto_lite_current_demo == 'recipe-blog' ): ?>
	<div class="rb-page-banner-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="rb-page-banner-content wow fadeInUp" data-wow-delay="100ms" data-wow-duration="1000ms">
				<h2>
                    <?php
                        if ( is_archive() ) {
                            the_archive_title();
                        } elseif ( is_search() ) {
                            esc_html_e('Search Results for: ', 'guto-lite');
                            echo esc_html(get_search_query());
                        } else {
                            echo esc_html( $page_banner_title );
                        }
                    ?>
                </h2>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="rb-page-banner-shape-1 wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('Shape1', 'guto-lite'); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="rb-page-banner-shape-2 wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('Shape2', 'guto-lite'); ?>"></div>
		<?php endif; ?>
	</div>

<?php elseif ( $global_show_page_banner && $guto_lite_current_demo == 'online-health-coach' ): ?>
    <div class="ohc-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="ohc-page-title-content">
                <?php if ( $show_breadcrumb  == true ): ?>
                    <ul>
                        <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Home', 'guto-lite' ) ?></a></li>
                        <li class="active">
                            <?php
                            if ( is_archive() ) {
                                the_archive_title();
                            } elseif ( is_search() ) {
                                esc_html_e('Search Results for: ', 'guto-lite');
                                echo esc_html(get_search_query());
                            } else {
                                echo esc_html( $page_banner_title );
                            }
                            ?>
                        </li>
                    </ul>
                <?php endif; ?>
				<h2>
                    <?php
                        if ( is_archive() ) {
                            the_archive_title();
                        } elseif ( is_search() ) {
                            esc_html_e('Search Results for: ', 'guto-lite');
                            echo esc_html(get_search_query());
                        } else {
                            echo esc_html( $page_banner_title );
                        }
                    ?>
                </h2>
			</div>
		</div>
	</div>
<?php elseif ( $global_show_page_banner && $banner_section == 'style-6'  ): ?>
    <div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="nm-page-title-content">
                <h2>
                    <?php
                    if ( is_archive() ) {
                        the_archive_title();
                    } elseif ( is_search() ) {
                        esc_html_e('Search Results for: ', 'guto-lite');
                        echo esc_html(get_search_query());
                    } else {
                        echo esc_html( $page_banner_title );
                    }
                    ?>
                </h2>
                <?php if ( $show_breadcrumb  == true ): ?>
                    <ul>
                        <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Home', 'guto-lite' ) ?></a></li>
                        <li>
                            <?php
                            if ( is_archive() ) {
                                the_archive_title();
                            } elseif ( is_search() ) {
                                esc_html_e('Search Results for: ', 'guto-lite');
                                echo esc_html(get_search_query());
                            } else {
                                echo esc_html( $page_banner_title );
                            }
                            ?>
                        </li>
                    </ul>
                <?php endif; ?>
			</div>
		</div>
	</div>
<?php elseif ( $global_show_page_banner && $banner_section == 'style-1' || $global_show_page_banner && $banner_section == 'style-2' || $global_show_page_banner && $banner_section == '' ): ?>
    <div class="page-title-area  <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
        <div class="container">
            <div class="page-title-content">
                <h2>
                    <?php
                    if ( is_archive() ) {
                        the_archive_title();
                    } elseif ( is_search() ) {
                        esc_html_e('Search Results for: ', 'guto-lite');
                        echo esc_html(get_search_query());
                    } else {
                        echo esc_html( $page_banner_title );
                    }
                    ?>
                </h2>

                <?php if ( $show_breadcrumb  == true ): ?>
                    <ul>
                        <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Home', 'guto-lite' ) ?></a></li>
                        <li>
                            <?php
                            if ( is_archive() ) {
                                the_archive_title();
                            } elseif ( is_search() ) {
                                esc_html_e('Search Results for: ', 'guto-lite');
                                echo esc_html(get_search_query());
                            } else {
                                echo esc_html( $page_banner_title );
                            }
                            ?>
                        </li>
                    </ul>
                <?php endif; ?>
            </div>
        </div>

        <?php if($banner_shape1): ?>
			<div class="shape9"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr($page_banner_title); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="shape10"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr($page_banner_title); ?>"></div>
        <?php endif; ?>
    </div>
<?php endif; ?>
