<?php
/**
 * Shop Page Header
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

/**
 * Banner Shape Images
 */
$banner_section 	= guto_lite_option( 'banner_style' );
$banner_shape1 		= guto_lite_option( 'banner_shape1' );
$banner_shape2		= guto_lite_option( 'banner_shape2' );

/**
 * Banner Options
 */
$hide_banner        = guto_lite_option( 'shop_hide_banner' );
$bg_img	            = guto_lite_option( 'shop_page_bg_image' );
$show_breadcrumb	= guto_lite_option( 'shop_breadcrumb' );

if ( $hide_banner == true ):

	if ( is_product_category() ) {
		global $wp_query;
	    $product_cat 	= $wp_query->get_queried_object();
	    $thumbnail_id 	= get_term_meta( $product_cat->term_id, 'thumbnail_id', true );
	    $bg_img 		= wp_get_attachment_url( $thumbnail_id );
	}
?>

	<?php if ( $guto_lite_current_demo == 'digital-marketing' ): ?>
		<div class="dm-page-banner-area <?php echo esc_attr($banner_section); ?>">
			<div class="container">
				<div class="dm-page-banner-content wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms">
					<h2><?php woocommerce_page_title(); ?></h2>
	                <?php if($show_breadcrumb == true): ?>
		                <ul>
		                    <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
							<li class="active"><?php woocommerce_page_title(); ?></li>
		                </ul>
	                <?php endif; ?>
				</div>
			</div>

			<?php if($banner_shape1): ?>
				<div class="dm-page-banner-image wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms">
					<img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
				</div>
			<?php endif; ?>

			<?php if($banner_shape2): ?>
				<div class="dm-page-banner-circle-shape">
					<img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
				</div>
			<?php endif; ?>
		</div>
	<?php elseif( $guto_lite_current_demo == 'coworking-space' ) : ?>
		<div class="cws-page-title-area <?php echo esc_attr($banner_section); ?>" style="background-image:url( <?php echo esc_url( $bg_img ); ?> );">
			<div class="container">
				<div class="cws-page-title-content">
					<div class="row align-items-center">
						<div class="col-lg-9 col-md-12">
							<h2><?php woocommerce_page_title(); ?></h2>
						</div>
						<div class="col-lg-3 col-md-12">
							<?php if($show_breadcrumb == true): ?>
				                <ul>
				                    <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
									<li class="active"><?php woocommerce_page_title(); ?></li>
				                </ul>
			                <?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php elseif( $guto_lite_current_demo == 'freelancer' ) : ?>
		<div class="fl-page-title-area">
			<div class="container">
				<div class="page-title-content">
					<h2><?php woocommerce_page_title(); ?></h2>
				</div>
			</div>
			<div class="divider"></div>
		</div>
	<?php elseif ( $guto_lite_current_demo == 'recipe-blog' ): ?>
		<div class="rb-page-banner-area <?php echo esc_attr($banner_section); ?>" style="background-image:url( <?php echo esc_url( $bg_img ); ?> );">
			<div class="container">
				<div class="rb-page-banner-content wow fadeInUp" data-wow-delay="100ms" data-wow-duration="1000ms">
					<h2><?php woocommerce_page_title(); ?></h2>
				</div>
			</div>

			<?php if($banner_shape1): ?>
				<div class="rb-page-banner-shape-1 wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('Shape1', 'guto-lite'); ?>"></div>
			<?php endif; ?>

			<?php if($banner_shape2): ?>
				<div class="rb-page-banner-shape-2 wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('Shape2', 'guto-lite'); ?>"></div>
			<?php endif; ?>
		</div>
	<?php elseif ( $guto_lite_current_demo == 'online-health-coach' ): ?>
		<div class="ohc-page-title-area <?php echo esc_attr($banner_section); ?>" style="background-image:url( <?php echo esc_url( $bg_img ); ?> );">
			<div class="container">
				<div class="ohc-page-title-content">
					<?php if($show_breadcrumb == true): ?>
						<ul>
							<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
							<li class="active"><?php woocommerce_page_title(); ?></li>
						</ul>
					<?php endif; ?>
					<h2><?php woocommerce_page_title(); ?></h2>
				</div>
			</div>
		</div>
    <?php elseif( $guto_lite_current_demo == 'life-coaching' ) : ?>
		<!-- Start Page Title Area -->
	    <div class="lc-page-title-area">
	        <div class="container">
	            <div class="lc-page-title-content">
	                <h2><?php woocommerce_page_title(); ?></h2>
	            </div>
	        </div>
	        <div class="divider"></div>
	    </div>
	    <!-- End Page Title Area -->
	<?php elseif( $banner_section == 'style-6' ): ?>
		<!-- Start NM Page Title Area -->
		<div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>">
			<div class="container">
				<div class="nm-page-title-content">
					<h2><?php woocommerce_page_title(); ?></h2>
	                <?php if($show_breadcrumb == true): ?>
		                <ul>
		                    <li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
							<li class="active"><?php woocommerce_page_title(); ?></li>
		                </ul>
	                <?php endif; ?>
				</div>
			</div>
		</div>
	<?php elseif ( $banner_section == 'style-1' || $banner_section == 'style-2' || $banner_section == '' ): ?>
		<div class="page-title-area <?php echo esc_attr($banner_section); ?>" style="background-image:url( <?php echo esc_url( $bg_img ); ?> );">
			<div class="container">
				<div class="page-title-content">
					<?php if($show_breadcrumb == true): ?>
						<span class="sub-title"><?php woocommerce_breadcrumb(); ?></span>
					<?php endif; ?>
					<h2><?php woocommerce_page_title(); ?></h2>
				</div>
			</div>

			<?php if($banner_shape1): ?>
				<div class="shape9"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr(woocommerce_page_title()); ?>"></div>
			<?php endif; ?>

			<?php if($banner_shape2): ?>
				<div class="shape10"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr(woocommerce_page_title()); ?>"></div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

<?php endif; ?>
