<?php
/**
 * Single Header
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$banner_section = guto_lite_option( 'banner_style' );

$guto_lite_title = get_the_title();

if ( defined( 'FW' ) ) {

	// Post settings
	$image		     	= fw_get_db_post_option( get_the_ID(), 'post_header_image' );
	$show_breadcrumb    = fw_get_db_post_option( get_the_ID(), 'post_show_breadcrumb' );
	$show_page_banner   = fw_get_db_post_option( get_the_ID(), 'post_show_page_banner' );
	$show_course_banner = fw_get_db_post_option( get_the_ID(), 'post_show_course_banner' );
	$show_event_banner  = fw_get_db_post_option( get_the_ID(), 'post_show_event_banner' );
	$show_event_listing_banner  = fw_get_db_post_option( get_the_ID(), 'post_show_event_listing_banner' );
	$page_title    		= fw_get_db_post_option( get_the_ID(), 'page_banner_title' );

	// Background Image
	if($image != ''):
		$bg_image = 'style="background-image: url(' . $image[ 'url' ] . ')"';
		$bg_image2 = 'background-image: url(' . $image[ 'url' ] . ')';
	else:
		$bg_image = '';
        $bg_image2 = '';
	endif;

	// Banner Title
	if(isset($page_title ) && $page_title != ''){
		$page_banner_title = $page_title;
	}else{
		$page_banner_title = get_the_title();
	}

}else {
	$bg_image               = 'style="background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)"';
	$bg_image2              = 'background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)';
	$show_page_banner       = true;
	$show_course_banner     = true;
	$show_event_banner      = true;
	$show_breadcrumb   		= false;
	$page_banner_title      = get_the_title();
}

$banner_section = guto_lite_option( 'banner_style' );
$banner_shape1	= guto_lite_option( 'banner_shape1' );
$banner_shape2	= guto_lite_option( 'banner_shape2' );
?>

<?php if ( $show_page_banner && $guto_lite_current_demo == 'digital-marketing' ): ?>
	<div class="dm-page-banner-area <?php echo esc_attr($banner_section); ?>">
		<div class="container">
			<div class="dm-page-banner-content wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms">
				<?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
				<?php if ( $show_breadcrumb == true ): ?>
					<ul>
						<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
						<?php if($page_banner_title != ''): ?>
							<li class="active"><?php the_title(); ?></li>
						<?php else: ?>
							<li class="active"><?php echo esc_html__('No Title', 'guto-lite'); ?></li>
						<?php endif; ?>
					</ul>
				<?php endif; ?>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="dm-page-banner-image wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms">
				<img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
			</div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="dm-page-banner-circle-shape">
				<img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
			</div>
		<?php endif; ?>
	</div>
<?php elseif ( $show_page_banner && $guto_lite_current_demo == 'coworking-space' ): ?>
	<div class="cws-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="cws-page-title-content">
				<div class="row align-items-center">
					<div class="col-lg-9 col-md-12">
						<?php if($page_banner_title != ''): ?>
							<h2><?php echo esc_html($page_banner_title); ?></h2>
						<?php else: ?>
							<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
						<?php endif; ?>
					</div>
					<div class="col-lg-3 col-md-12">
						<?php if ( $show_breadcrumb == true ): ?>
							<ul>
								<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
								<?php if($page_banner_title != ''): ?>
									<li class="active"><?php the_title(); ?></li>
								<?php else: ?>
									<li class="active"><?php echo esc_html__('No Title', 'guto-lite'); ?></li>
								<?php endif; ?>
							</ul>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php elseif ( $show_page_banner && $guto_lite_current_demo == 'freelancer' ): ?>
	<div class="fl-page-title-area">
		<div class="container">
			<div class="page-title-content">
				<?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
			</div>
		</div>
		<div class="divider"></div>
	</div>
<?php elseif ( $show_page_banner && $guto_lite_current_demo == 'motivational-speaker' ): ?>
    <!-- Start Page Title Area -->
    <div class="ms-page-title-area">
        <div class="container">
            <div class="ms-page-title-content">
                <?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
            </div>
        </div>
    </div>
<?php elseif ( $show_page_banner && $guto_lite_current_demo == 'life-coaching' ): ?>
    <!-- Start Page Title Area -->
    <div class="lc-page-title-area">
        <div class="container">
            <div class="lc-page-title-content">
                <?php if($guto_lite_title != ''): ?>
					<h2><?php the_title(); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
            </div>
        </div>
        <div class="divider"></div>
    </div>
    <!-- End Page Title Area -->
<?php elseif ( $show_page_banner && $guto_lite_current_demo == 'recipe-blog' ): ?>
	<div class="rb-page-banner-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="rb-page-banner-content wow fadeInUp" data-wow-delay="100ms" data-wow-duration="1000ms">
				<?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="rb-page-banner-shape-1 wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('Shape1', 'guto-lite'); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="rb-page-banner-shape-2 wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('Shape2', 'guto-lite'); ?>"></div>
		<?php endif; ?>
	</div>
<?php elseif ( $show_page_banner && $guto_lite_current_demo == 'online-health-coach' ): ?>
    <div class="ohc-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="ohc-page-title-content">
				<?php if ( $show_breadcrumb == true ): ?>
					<ul>
						<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
						<?php if($page_banner_title != ''): ?>
							<li class="active"><?php the_title(); ?></li>
						<?php else: ?>
							<li class="active"><?php echo esc_html__('No Title', 'guto-lite'); ?></li>
						<?php endif; ?>
					</ul>
				<?php endif; ?>

				<?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
			</div>
		</div>
	</div>
<?php elseif( $show_page_banner && $banner_section == 'style-6' || $show_course_banner && $banner_section == 'style-6' || $show_event_banner && $banner_section == 'style-6' ): ?>
	<!-- Start NM Page Title Area -->
	<div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>">
		<div class="container">
			<div class="nm-page-title-content">
				<?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
				<?php if ( $show_breadcrumb == true ): ?>
					<ul>
						<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
						<?php if($page_banner_title != ''): ?>
							<li class="active"><?php the_title(); ?></li>
						<?php else: ?>
							<li class="active"><?php echo esc_html__('No Title', 'guto-lite'); ?></li>
						<?php endif; ?>
					</ul>
				<?php endif; ?>
			</div>
		</div>
	</div>
<?php elseif ( $show_page_banner && $banner_section == 'style-1' || $show_page_banner && $banner_section == 'style-2' || $show_page_banner && $banner_section == '' || $show_course_banner && $banner_section == 'style-1' || $show_course_banner && $banner_section == 'style-2' || $show_course_banner && $banner_section == '' || $show_course_banner && $banner_section == 'style-1' || $show_course_banner && $banner_section == 'style-2' || $show_course_banner && $banner_section == '' ): ?>
	<div class="page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="page-title-content">
				<?php if($page_banner_title != ''): ?>
					<h2><?php echo esc_html($page_banner_title); ?></h2>
				<?php else: ?>
					<h2><?php echo esc_html__('No Title', 'guto-lite'); ?></h2>
				<?php endif; ?>
				<?php if ( $show_breadcrumb == true ): ?>
					<ul>
						<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
						<?php if($page_banner_title != ''): ?>
							<li class="active"><?php the_title(); ?></li>
						<?php else: ?>
							<li class="active"><?php echo esc_html__('No Title', 'guto-lite'); ?></li>
						<?php endif; ?>
					</ul>
				<?php endif; ?>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="shape9"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr($page_banner_title); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="shape10"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr($page_banner_title); ?>"></div>
		<?php endif; ?>

	</div>
<?php endif; ?>