<?php
/**
 * Proceed to checkout button
 *
 * Contains the markup for the proceed to checkout button on the cart.
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/cart/proceed-to-checkout-button.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

$cart_style = guto_lite_option( 'cart_style' );

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' ); 

if( $cart_style == 'style-ls' ) : ?> 
	<div class="text-center">
		<a class="fls-default-btn" href="<?php echo esc_url( wc_get_checkout_url() ); ?>"><?php esc_html_e( 'Proceed To Checkout', 'guto-lite' ); ?></a>
	</div>

<?php elseif( $guto_lite_current_demo == 'life-coaching' ) : ?>

	<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="lc-default-btn">
		<i class='bx bx-paper-plane'></i><?php esc_html_e( 'Proceed to Checkout', 'guto-lite' ); ?>
	</a>

<?php else : ?>

	<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="default-btn">
		<i class='bx bx-paper-plane'></i><?php esc_html_e( 'Proceed to Checkout', 'guto-lite' ); ?>
	</a>
<?php endif;
