<?php
/**
 * Checkout login form
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/checkout/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.8.0
 */

defined( 'ABSPATH' ) || exit;

if ( is_user_logged_in() || 'no' === get_option( 'woocommerce_enable_checkout_login_reminder' ) ) {
	return;
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$checkout_style = guto_lite_option( 'checkout_style' );

if( $checkout_style == 'style-1' ) : ?>

	<div class="woocommerce-form-login-toggle">
		<?php wc_print_notice( apply_filters( 'woocommerce_checkout_login_message', esc_html__( 'Returning customer?', 'guto-lite' ) ) . ' <a href="#" class="showlogin">' . esc_html__( 'Click here to login', 'guto-lite' ) . '</a>', 'notice' ); ?>
	</div>	<?php

elseif( $checkout_style == 'style-2' ) : ?>
	<div class="restaurant-user-actions">
		<?php wc_print_notice( apply_filters( 'woocommerce_checkout_login_message', esc_html__( 'Returning customer?', 'guto-lite' ) ) . ' <i class="bx bx-log-in"></i><span><a href="#" class="showlogin">' . esc_html__( 'Click here to login', 'guto-lite' ) . '</a><span>', 'notice' ); ?>
	</div>
	<?php

elseif( $checkout_style == 'style-ls' ) : ?>
	<div class="restaurant-user-actions">
		<?php wc_print_notice( apply_filters( 'woocommerce_checkout_login_message', esc_html__( 'Returning customer?', 'guto-lite' ) ) . ' <i class="bx bx-log-in"></i><span><a href="#" class="showlogin">' . esc_html__( 'Click here to login', 'guto-lite' ) . '</a><span>', 'notice' ); ?>
	</div>
	<?php
	
elseif( $guto_lite_current_demo == 'life-coaching' ) : ?>

	<div class="lc-user-actions">
		<?php wc_print_notice( apply_filters( 'woocommerce_checkout_login_message', esc_html__( 'Returning customer?', 'guto-lite' ) ) . ' <i class="bx bx-log-in"></i><span><a href="#" class="showlogin">' . esc_html__( 'Click here to login', 'guto-lite' ) . '</a></span>', 'notice' ); ?>
	</div>

<?php endif;

woocommerce_login_form(
	array(
		'message'  => esc_html__( 'If you have shopped with us before, please enter your details below. If you are a new customer, please proceed to the Billing section.', 'guto-lite' ),
		'redirect' => wc_get_checkout_url(),
		'hidden'   => true,
	)
);