<?php
/**
 * Single Product Sale Flash
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/single-product/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

// phpcs:ignoreFile

global $post, $product;

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$shop_details_style    = guto_lite_option( 'shop_details_style' );

if( $shop_details_style == 'style-1' ) : ?>

	<?php if ( $product->is_on_sale() ) :
		echo apply_filters( 'woocommerce_sale_flash', '<div class="new sale-tag">' . esc_html__( 'Sale', 'guto-lite' ) . '</div>', $post, $product ); 
	else: 
		echo apply_filters( 'woocommerce_sale_flash', '<div class="new">' . esc_html__( 'New ', 'guto-lite' ) . '</div>', $post, $product ); 
	endif;

elseif( $shop_details_style == 'style-2' ) : ?>

<?php elseif( $guto_lite_current_demo == 'life-coaching' ) : ?>

<?php endif;

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
