<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.8.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// phpcs:ignoreFile

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$product_tabs = apply_filters( 'woocommerce_product_tabs', array() );

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$shop_details_style    = guto_lite_option( 'shop_details_style' );

if ( ! empty( $product_tabs ) ) : ?>

	<div class="col-lg-12 col-md-12">
		<?php if( $shop_details_style == 'style-1' ) : ?>
    		<div class="woocommerce-tabs wc-tabs-wrapper restaurant-products-details-tabs it-agency-restaurant-products-details-tabs">
		<?php elseif($shop_details_style == 'style-2'): ?>
    		<div class="woocommerce-tabs wc-tabs-wrapper restaurant-products-details-tabs">
		<?php elseif($shop_details_style == 'style-ls'): ?>
    		<div class="woocommerce-tabs wc-tabs-wrapper fls-describe-area">
        <?php elseif($guto_lite_current_demo == 'life-coaching'): ?>
    		<div class="woocommerce-tabs wc-tabs-wrapper lc-products-details-tabs">
		<?php endif; ?>
			<ul class="nav nav-tabs wc-tabs" role="tablist" id="myTab">
				<?php foreach ( $product_tabs as $key => $tab ) : ?>
					<li class="<?php echo esc_attr( $key ); ?>_tab nav-item" id="tab-title-<?php echo esc_attr( $key ); ?>" role="tab" aria-controls="tab-<?php echo esc_attr( $key ); ?>">
						<a href="#tab-<?php echo esc_attr( $key ); ?>" class="nav-link"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
					</li>
				<?php endforeach; ?>
			</ul>
			<?php foreach ( $product_tabs as $key => $tab ) : ?>
				<div class="tab-content" id="myTabContent">
					<div class="woocommerce-Tabs-panel woocommerce-Tabs-panel--<?php echo esc_attr( $key ); ?> panel entry-content wc-tab content tab-pane" id="tab-<?php echo esc_attr( $key ); ?>" role="tabpanel" aria-labelledby="tab-title-<?php echo esc_attr( $key ); ?>">
						<?php if ( isset( $tab['callback'] ) ) { call_user_func( $tab['callback'], $key, $tab ); } ?>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
    </div>

<?php endif; ?>
